--- old/usr/src/cmd/Makefile	2015-05-20 11:17:42.443552466 -0400
+++ new/usr/src/cmd/Makefile	2015-05-20 11:17:42.469020535 -0400
@@ -249,6 +249,7 @@
 	mail		\
 	mailwrapper	\
 	mailx		\
+	make		\
 	makekey		\
 	man		\
 	mandoc		\
--- old/usr/src/cmd/Makefile.cmd	2015-05-20 11:17:43.070154163 -0400
+++ new/usr/src/cmd/Makefile.cmd	2015-05-20 11:17:43.085315132 -0400
@@ -75,6 +75,7 @@
 ROOTCCSBIN64=	$(ROOTCCSBIN)/$(MACH64)
 ROOTCCSBINLINKDIR=	$(ROOT)/../../bin
 ROOTCCSBINLINKDIR64=	$(ROOT)../../../bin/$(MACH)
+ROOTCCSLIB=	$(ROOT)/usr/ccs/lib
 ROOTUSRKVM=	$(ROOT)/usr/kvm
 ROOTHAS=	$(ROOT)/usr/has
 ROOTHASBIN=	$(ROOT)/usr/has/bin
--- /dev/null	2015-05-20 11:17:43.000000000 -0400
+++ new/usr/src/cmd/make/Makefile	2015-05-20 11:17:43.512552570 -0400
@@ -0,0 +1,32 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+SUBDIRS=bin \
+	lib
+
+all	:=	TARGET = all
+install :=	TARGET = install
+clean	:=	TARGET = clean
+clobber	:=	TARGET = clobber
+lint	:=	TARGET = lint
+
+.KEEP_STATE:
+
+bin: lib
+
+all clean clobber lint install: $(SUBDIRS)
+
+$(SUBDIRS):	FRC
+	@cd $@; pwd; $(MAKE) $(TARGET)
+
+FRC:
--- /dev/null	2015-05-20 11:17:43.000000000 -0400
+++ new/usr/src/cmd/make/Makefile.com	2015-05-20 11:17:43.703201855 -0400
@@ -0,0 +1,19 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+MAKE_INCLUDE= $(SRC)/cmd/make/include
+MAKE_DEFS= -DSUN5_0 -DSYSV -DINTER -DSUNOS4_AND_AFTER
+$(RELEASE_BUILD)MAKE_DEFS += -DNDEBUG
+CFLAGS += $(CCVERBOSE)
+CPPFLAGS += -I$(MAKE_INCLUDE) $(MAKE_DEFS)
+
--- /dev/null	2015-05-20 11:17:43.000000000 -0400
+++ new/usr/src/cmd/make/bin/Makefile	2015-05-20 11:17:43.895674336 -0400
@@ -0,0 +1,90 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+PROG=	make
+OBJS=	ar.o		\
+	depvar.o	\
+	dist.o		\
+	doname.o	\
+	dosys.o		\
+	files.o		\
+	globals.o	\
+	implicit.o	\
+	macro.o		\
+	main.o		\
+	make.o		\
+	misc.o		\
+	nse_printdep.o	\
+	nse.o		\
+	parallel.o	\
+	pmake.o		\
+	read.o		\
+	read2.o		\
+	rep.o		\
+	state.o
+
+include ../../Makefile.cmd
+include ../Makefile.com
+
+LDLIBS += ../lib/mksh/libmksh.a ../lib/mksdmsi18n/libmksdmsi18n.a ../lib/vroot/libvroot.a
+LDLIBS += ../lib/bsd/libbsd.a -lc
+
+CPPFLAGS += -D_FILE_OFFSET_BITS=64
+
+ROOTLINKS = $(ROOTCCSBIN)/make $(ROOTXPG4BIN)/make $(ROOTBIN)/dmake $(ROOTCCSLIB)/svr4.make \
+	$(ROOTLIB)/svr4.make
+
+ROOTRULES = $(ROOTSHLIB)/make/make.rules $(ROOTSHLIB)/make/svr4.make.rules
+
+all:	$(PROG)
+
+install: all $(ROOTPROG) $(ROOTLINKS) $(ROOTRULES)
+
+$(PROG):	$(OBJS)
+	$(LINK.cc) $(OBJS) -o $@ $(LDLIBS)
+	$(POST_PROCESS)
+
+$(ROOTCCSBIN)/make:
+	-$(RM) $@; $(SYMLINK) ../../bin/make $@
+
+$(ROOTCCSLIB)/svr4.make:
+	-$(RM) $@; $(SYMLINK) ../../bin/make $@
+
+$(ROOTLIB)/svr4.make:
+	-$(RM) $@; $(SYMLINK) ../bin/make $@
+
+$(ROOTXPG4BIN)/make:
+	-$(RM) $@; $(SYMLINK) ../../bin/make $@
+
+$(ROOTBIN)/dmake:
+	-$(RM) $@; $(SYMLINK) ./make $@
+
+$(ROOTRULES) := FILEMODE = 0444
+
+$(ROOTRULES): $(ROOTSHLIB)/make
+
+$(ROOTSHLIB)/make: FRC
+	$(INS.dir)
+
+$(ROOTSHLIB)/make/%: %.file
+	$(INS.rename)
+
+lint:
+
+clean:
+	$(RM) $(OBJS)
+
+FRC:
+
+include ../../Makefile.targ
+
--- /dev/null	2015-05-20 11:17:44.000000000 -0400
+++ new/usr/src/cmd/make/lib/Makefile	2015-05-20 11:17:44.119230750 -0400
@@ -0,0 +1,33 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+SUBDIRS=bsd \
+	makestate \
+	mksdmsi18n \
+	mksh \
+	vroot
+
+all	:=	TARGET = all
+install :=	TARGET = install
+clean	:=	TARGET = clean
+clobber	:=	TARGET = clobber
+lint	:=	TARGET = lint
+
+.KEEP_STATE:
+
+all clean clobber lint install: $(SUBDIRS)
+
+$(SUBDIRS):	FRC
+	@cd $@; pwd; $(MAKE) $(TARGET)
+
+FRC:
--- /dev/null	2015-05-20 11:17:44.000000000 -0400
+++ new/usr/src/cmd/make/lib/bsd/Makefile	2015-05-20 11:17:44.309884748 -0400
@@ -0,0 +1,31 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+LIBRARY = libbsd.a
+VERS = .1
+OBJECTS = bsd.o
+
+include $(SRC)/lib/Makefile.lib
+include ../../Makefile.com
+
+LIBS = $(LIBRARY)
+SRCDIR = ../
+CPPFLAGS += -D_FILE_OFFSET_BITS=64
+
+all: $(LIBS)
+
+install: all
+
+lint:
+
+include $(SRC)/lib/Makefile.targ
--- /dev/null	2015-05-20 11:17:44.000000000 -0400
+++ new/usr/src/cmd/make/lib/makestate/Makefile	2015-05-20 11:17:44.520255110 -0400
@@ -0,0 +1,31 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+include $(SRC)/Makefile.master
+
+SUBDIRS=$(MACH) $(MACH64)
+
+all	:=	TARGET = all
+install :=	TARGET = install
+clean	:=	TARGET = clean
+clobber	:=	TARGET = clobber
+lint	:=	TARGET = lint
+
+.KEEP_STATE:
+
+all clean clobber lint install: $(SUBDIRS)
+
+$(SUBDIRS):	FRC
+	@cd $@; pwd; $(MAKE) $(TARGET)
+
+FRC:
--- /dev/null	2015-05-20 11:17:44.000000000 -0400
+++ new/usr/src/cmd/make/lib/makestate/Makefile.com	2015-05-20 11:17:44.711605937 -0400
@@ -0,0 +1,31 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+LIBRARY = libmakestate.a
+VERS = .1
+OBJECTS = 	ld_file.o \
+		lock.o
+
+include $(SRC)/lib/Makefile.lib
+include ../../../Makefile.com
+
+LIBS = $(DYNLIB)
+SRCDIR = ../
+MAPFILES = $(SRCDIR)/mapfile-vers
+LDLIBS += -lc
+
+all: $(LIBS)
+
+lint:
+
+include $(SRC)/lib/Makefile.targ
--- /dev/null	2015-05-20 11:17:44.000000000 -0400
+++ new/usr/src/cmd/make/lib/makestate/amd64/Makefile	2015-05-20 11:17:44.903409019 -0400
@@ -0,0 +1,17 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+include ../Makefile.com
+include $(SRC)/lib/Makefile.lib.64
+
+install: all $(ROOTLIBS64)
--- /dev/null	2015-05-20 11:17:45.000000000 -0400
+++ new/usr/src/cmd/make/lib/makestate/i386/Makefile	2015-05-20 11:17:45.108466818 -0400
@@ -0,0 +1,16 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+include ../Makefile.com
+
+install: all $(ROOTLIBS)
--- /dev/null	2015-05-20 11:17:45.000000000 -0400
+++ new/usr/src/cmd/make/lib/makestate/mapfile-vers	2015-05-20 11:17:45.298920174 -0400
@@ -0,0 +1,38 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+#
+# MAPFILE HEADER START
+#
+# WARNING:  STOP NOW.  DO NOT MODIFY THIS FILE.
+# Object versioning must comply with the rules detailed in
+#
+#	usr/src/lib/README.mapfiles
+#
+# You should not be making modifications here until you've read the most current
+# copy of that file. If you need help, contact a gatekeeper for guidance.
+#
+# MAPFILE HEADER END
+#
+
+$mapfile_version 2
+
+SYMBOL_VERSION ILLUMOSprivate {
+    global:
+        ld_atexit;
+        ld_atexit64;
+        ld_file;
+        ld_file64;
+    local:
+        *;
+};
--- /dev/null	2015-05-20 11:17:45.000000000 -0400
+++ new/usr/src/cmd/make/lib/makestate/sparc/Makefile	2015-05-20 11:17:45.490700531 -0400
@@ -0,0 +1,16 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+include ../Makefile.com
+
+install: all $(ROOTLIBS)
--- /dev/null	2015-05-20 11:17:45.000000000 -0400
+++ new/usr/src/cmd/make/lib/makestate/sparcv9/Makefile	2015-05-20 11:17:45.682096459 -0400
@@ -0,0 +1,17 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+include ../Makefile.com
+include $(SRC)/lib/Makefile.lib.64
+
+install: all $(ROOTLIBS64)
--- /dev/null	2015-05-20 11:17:45.000000000 -0400
+++ new/usr/src/cmd/make/lib/mksdmsi18n/Makefile	2015-05-20 11:17:45.872665913 -0400
@@ -0,0 +1,31 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+LIBRARY = libmksdmsi18n.a
+VERS = .1
+OBJECTS = libmksdmsi18n_init.o
+
+include $(SRC)/lib/Makefile.lib
+include ../../Makefile.com
+
+LIBS = $(LIBRARY)
+SRCDIR = ../
+CPPFLAGS += -DI18N_VERSION=1 -D_FILE_OFFSET_BITS=64
+
+all: $(LIBS)
+
+install: all
+
+lint:
+
+include $(SRC)/lib/Makefile.targ
--- /dev/null	2015-05-20 11:17:46.000000000 -0400
+++ new/usr/src/cmd/make/lib/mksh/Makefile	2015-05-20 11:17:46.065475061 -0400
@@ -0,0 +1,38 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+LIBRARY =	libmksh.a
+VERS =		.1
+OBJECTS =	dosys.o \
+		globals.o \
+		i18n.o \
+		macro.o \
+		misc.o \
+		mksh.o \
+		read.o
+
+include $(SRC)/lib/Makefile.lib
+include ../../Makefile.com
+
+LIBS = $(LIBRARY)
+SRCDIR = ../
+MAPFILES=
+CPPFLAGS += -D_FILE_OFFSET_BITS=64
+
+all: $(LIBS)
+
+install: all
+
+lint:
+
+include $(SRC)/lib/Makefile.targ
--- /dev/null	2015-05-20 11:17:46.000000000 -0400
+++ new/usr/src/cmd/make/lib/vroot/Makefile	2015-05-20 11:17:46.319775614 -0400
@@ -0,0 +1,55 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+LIBRARY =	libvroot.a
+VERS =		.1
+OBJECTS =	access.o	\
+		args.o		\
+		chdir.o		\
+		chmod.o		\
+		chown.o		\
+		chroot.o	\
+		creat.o		\
+		execve.o	\
+		lock.o		\
+		lstat.o		\
+		mkdir.o		\
+		mount.o		\
+		open.o		\
+		readlink.o	\
+		report.o	\
+		rmdir.o		\
+		stat.o		\
+		statfs.o	\
+		truncate.o	\
+		unlink.o	\
+		unmount.o	\
+		utimes.o	\
+		vroot.o		\
+		setenv.o
+
+include $(SRC)/lib/Makefile.lib
+include ../../Makefile.com
+
+LIBS = $(LIBRARY)
+SRCDIR = ../
+MAPFILES=
+CPPFLAGS += -D_FILE_OFFSET_BITS=64
+
+all: $(LIBS)
+
+install: all
+
+lint:
+
+include $(SRC)/lib/Makefile.targ
--- /dev/null	2015-05-20 11:17:46.000000000 -0400
+++ new/usr/src/pkg/manifests/developer-build-make.mf	2015-05-20 11:17:46.535741189 -0400
@@ -0,0 +1,30 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2015, Richard Lowe.
+
+set name=pkg.fmri value=pkg:/developer/build/make@$(PKGVERS)
+set name=pkg.description value="Parallel make(1) build tool"
+set name=pkg.summary value="Parallel make(1) build tool"
+set name=info.classification \
+    value="org.opensolaris.category.2008:Development/Source Code Management"
+set name=variant.arch value=$(ARCH)
+dir path=usr/share/lib/make
+file path=usr/bin/make mode=0555
+file path=usr/lib/$(ARCH64)/libmakestate.so.1
+file path=usr/lib/libmakestate.so.1
+file path=usr/share/lib/make/make.rules
+file path=usr/share/lib/make/svr4.make.rules
+link path=usr/bin/dmake target=make
+link path=usr/ccs/bin/make target=../../bin/make
+link path=usr/ccs/lib/svr4.make target=../../bin/make
+link path=usr/lib/svr4.make target=../bin/make
+link path=usr/xpg4/bin/make target=../../bin/make
